#include<bits/stdc++.h>
using namespace std;

#define ll long long
#define PII pair<int , int> 
#define lowbit(x) (x & -x)

bool ST;
const int N = 2e5 + 10;
int n , T;
int h[N] , to[N << 1] , ne[N << 1] , idx;
int m[1000][1000] , cnt[1000];

int read(){
	ll sum = 0;
	bool flag = true;
	char c = getchar();
	for(;!isdigit(c);c = getchar())if(c == '-')flag ^= true;
	for(;isdigit(c);c = getchar())sum = (sum << 1) + (sum << 3) + (c ^ 48);
	return flag ? sum : -sum;
}
void out_write(int x){if(x > 9)out_write(x / 10);putchar(x % 10 + '0');}
void write(int x){if(x < 0){putchar('-');out_write(-x);}else out_write(x);}
void add(int u , int v){to[++ idx] = v;ne[idx] = h[u];h[u] = idx;}
void work(){
	n = read();
	for(int i = 1;i <= n;++ i)cnt[i] = 0;
	for(int i = 1;i < n;++ i){
		h[i] = -1;idx = 0;
		int u , v;
		u = read();v = read();
		m[u][++ cnt[u]] = i;m[v][++ cnt[v]] = i;
	}
	for(int i = 1;i <= n;++ i){
		for(int j = 1;j <= cnt[i];++ j){
			
		}
	}
}
bool ED;

int main(){
	freopen("traverse.in" , "r" , stdin);
	freopen("traverse.out" , "w" , stdout);
//	cerr << ((&ST) - (&ED)) / 1024.0 / 1024.0 << endl;
//	double st = clock();
	T = read();
	T = read();
	while(T --){work();}
//	double ed = clock();
//	cerr << (ed - st) / CLOCKS_PER_SEC << endl;
	return 0;
}

